Description

There are a few missing features to jcom.cuemanager in order to implement the basic functions of jmod.cueManager :

* writeagain and readagain (or alternatively the path to the loaded/saved file from the dumpout outlet)
* copy, move and rename

* a tag in the cuelist file for the autofollow function

» a comment field in the file

We also have to think about priority management...
and also, but less important :

* size (in order to return the number of cues, e.g. to give bounds to the cue number box, or set the number of lines of the cuelist
cellblock) could be handy, but that's of much lower priority... and it can be deduced from the list of names

History

#1 - 2012-08-13 04:43 pm - Pascal Baltazar
- Priority changed from High to Normal
- Target version set to MVC for 0.6

a little update :
« writeagain and readagain (or alternatively the path to the loaded/saved file from the dumpout outlet)

these are done

* copy, move and rename

none of these are done, and they could be useful

« a tag in the cuelist file for the autofollow function

+ a comment field in the file

| managed both of these by setting them as parameters of the cueManager module itself, which was saved in the cue, but that's not a very nice
workaround IMHO...

adding fields for this kind of data, and a way to retrieve them would be very handy

» We also have to think about priority management...

| guess this works now

and also, but less important :

» size (in order to return the number of cues, e.g. to give bounds to the cue number box, or set the number of lines of the cuelist cellblock) could be
handy, but that's of much lower priority... and it can be deduced from the list of names

This is done

2020-09-21 1/2




So, these are the remaining features to implement :

* copy, move and rename cues

« a tag/field in the cuelist file for the autofollow function

» a comment field in the script - not for commenting the script, but as a comment for the whole cue, visible from the outside, and retrievable without
triggering the cue (see in 0.5)

| propose that we use the dash "-" for comments and autofollow, just like we do for cues

- comment a comment about this cue

- autofollow 2000

for examples

#2 - 2012-09-13 11:49 pm - Théo de la Hogue

Some features of the list are available now :

- adding a move message

- adding a rename message

- adding a "description" flag (e.g. comment but | prefer to use name that already exist in other externals like parameter or model to keep a consistency)

Still missing :

- copy (soon !)

- autofollow : it will not be easy to have it. | can add an other flag but | feel there is a more general way to handle it. I'm also pretty convince this kind of
information should not be stored in the cue itself but as to part of a scenario structure which could handle many cues from many cuemanager...

#3 - 2012-09-14 10:23 am - Théo de la Hogue
- Status changed from New to Closed

copy is now available

| close this FR to open one about the autofollow only
